dpkg-scanpackages(1)

NAAM
dpkg-scanpackages - Packages-indexbestanden maken

OVERZICHT
dpkg-scanpackages [optie...] pad-binair-pakket [override-bestand [pad-prefix]] > Pakketten

BESCHRIJVING
dpkg-scanpackages sorteert een boom van binaire Debian pakketten en maakt een bestand Packages aan, dat door apt(8), dselect(1), enz. gebruikt wordt om de gebruiker te informeren over welke pakketten voor installatie beschikbaar zijn. Deze Packages-bestanden zijn dezelfde als die welke men aantreft op de sites met Debian-archieven of op CD's. U kunt zelf gebruik maken van dpkg-scanpackages als u een map met lokale pakketten maakt om ze op een cluster machines te installeren.

Opmerking: indien u het gegenereerde bestand Packages wilt gebruiken met apt, zult u het wellicht moeten comprimeren met xz(1) (wat een bestand Packages.xz genereert), met bzip2(1) (wat een bestand Packages.bz2 genereert) of met gzip(1) (wat een bestand Packages.gz genereert). apt(8) negeert niet-gecomprimeerde Packages-bestanden tenzij in geval van lokale toegang (d.w.z. pakketbronnen in de vorm van file://).

pad-binair-pakket is de naam van de boom met binaire pakketten die verwerkt moet worden (bijvoorbeeld contrib/binary-i386). Het is best om dit relatief te maken ten opzichte van de basismap van het Debian-archief, omdat elk Filename-veld uit het nieuwe Packages-bestand met die tekenreeks zal beginnen.

override-bestand is de naam van een bestand dat moet ingelezen worden en dat informatie bevat over hoe het pakket binnen de distributie past (het bestand mag gecomprimeerd zijn sinds dpkg 1.15.5); zie deb-override(5).

padprefix is een facultatieve tekenreeks die voorgevoegd moet worden in de Filename-velden.

Indien meer dan één versie van een pakket aangetroffen wordt, wordt enkel het recentste opgenomen in de uitvoer. Indien ze hetzelfde versienummer hebben en enkel qua architectuur van elkaar verschillen, wordt het pakket dat eerst aangetroffen wordt, gebruikt.

OPTIES

-t, --type type
    Zoeken naar pakketten van het type *.type in plaats van naar pakketten van het type *.deb.

-e, --extra-override bestand
    Zoeken in het bestand naar bijkomende vervangingen (het bestand mag gecomprimeerd zijn sinds dpkg 1.15.5). Zie deb-extra-override(5) voor meer informatie over hoe het ingedeeld wordt.

-a, --arch arch
    Een patroon gebruiken dat bestaat uit *_all.deb en *_arch.deb in plaats van te zoeken naar alle deb-bestanden.

-h, --hash hash-lijst
    Enkel bestandshashes genereren voor de opgegeven lijst van algoritmen, onderling gescheiden door komma's (sinds dpkg 1.17.14). Standaard worden ze voor alle momenteel ondersteunde algoritmen gemaakt. Ondersteunde waarden: md5, sha1, sha256.

-m, --multiversion
    Alle gevonden pakketten opnemen in de uitvoer.

-M, --medium ID-tekenreeks
    Een veld X-Medium toevoegen dat de waarde ID-tekenreeks heeft (sinds dpkg 1.15.5). Dit veld is nodig als u Packages.cd-bestanden wilt genereren voor gebruik door de toegangsmethode media van dselect.

-?, --help
    Info tonen over het gebruik en afsluiten.

--version
    De versie tonen en afsluiten.

OMGEVING

DPKG_COLORS
    Stelt de kleurmodus in (sinds dpkg 1.18.5). Waarden die momenteel gebruikt mogen worden zijn: auto (standaard), always en never.

DPKG_NLS
    Indien dit ingesteld is, zal het gebruikt worden om te beslissen over het activeren van moedertaalondersteuning, ook gekend als internationaliseringsondersteuning (of i18n) (sinds dpkg 1.19.0). Geldige waarden zijn: 0 and 1 (standaard).

DIAGNOSTIEK
dpkg-scanpackages gebruikt de gangbare foutberichten die op zich duidelijk zijn. Het waarschuwt ook voor pakketten die zich in de verkeerde map bevinden, die dubbel voorkomen, die in hun control-bestand een Filename-veld hebben, die in het override-bestand ontbreken of waarvoor een vervanging van pakketonderhouder niet geëffectueerd wordt.

ZIE OOK
dpkg(1), dselect(1), deb-override(5), deb-extra-override(5), dpkg-scansources(1).